org.apache.cassandra.service.paxos

## Class PrepareResponse

- java.lang.Object
- - org.apache.cassandra.service.paxos.PrepareResponse

-     public class PrepareResponse
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PrepareResponse.PrepareResponseSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Commit` | `inProgressCommit`
    `Commit` | `mostRecentCommit`
    `boolean` | `promised`
    `static PrepareResponse.PrepareResponseSerializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrepareResponse(boolean promised, Commit inProgressCommit, Commit mostRecentCommit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final PrepareResponse.PrepareResponseSerializer serializer

    - #### promised

          public final boolean promised

    - #### inProgressCommit

          public final Commit inProgressCommit

    - #### mostRecentCommit

          public final Commit mostRecentCommit

  - ### Constructor Detail

    - #### PrepareResponse

          public PrepareResponse(boolean promised,
                                 Commit inProgressCommit,
                                 Commit mostRecentCommit)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation